# FdoIConnectionInfo Class Reference

`#include <IConnectionInfo.h>`

Inheritance diagram for FdoIConnectionInfo:

[legend]

List of all members.

## Detailed Description

The FdoIConnectionInfo interface exposes information about the feature provider and provides access to the FdoIConnectionPropertyDictionary interface.

Definition at line 33 of file IConnectionInfo.h.

## Public Member Functions
virtual FDO_API FdoIConnectionPropertyDictionary * | GetConnectionProperties ()=0
| Gets the FdoIConnectionPropertyDictionary interface that can be used to dynamically query and set the properties required to establish a connection.
virtual FDO_API FdoStringCollection * | GetDependentFileNames ()=0
| File-based providers depend on a various files. This function returns a list of fully qualified dependend file names. The return parameter will be NULL if the provider is not a file-based provider.
virtual FDO_API FdoString * | GetFeatureDataObjectsVersion ()=0
| Gets the version of the Feature Data Objects specification to which this provider conforms.
virtual FDO_API FdoProviderDatastoreType | GetProviderDatastoreType ()=0
| Returns the provider type. A provider can be a file-based, database-based or web-based provider. The valid values the function may return are defined in the enumeration FdoProviderDatastoreType. The enumeration includes the following values: FdoProviderDatastoreType_Unknown, FdoProviderDatastoreType_File, FdoProviderDatastoreType_DatabaseServer, FdoProviderDatastoreType_WebServer.
virtual FDO_API FdoString * | GetProviderDescription ()=0
| Gets the description of the feature provider.
virtual FDO_API FdoString * | GetProviderDisplayName ()=0
| Gets the display name of the feature provider.
virtual FDO_API FdoString * | GetProviderName ()=0
| Gets the name of the feature provider.
virtual FDO_API FdoString * | GetProviderVersion ()=0
| Gets the version of the feature provider.

The documentation for this class was generated from the following file:

- IConnectionInfo.h